// creator  : weidu.exe (version 23100)
// argument : BLACKL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BLACKL~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 4 even though they appear after this state */
~True()
~ THEN BEGIN 0 // from:
  SAY #2842 /* ~Go then and leave the circle.  You should never have come here without an invitation.  Away with you, mortal!~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #2843 /* ~Are you leaving so soon? I had hoped you would stay with us for awhile.  Ahhh, well... mortals must be as they are.  So be it!~ */
  IF ~~ THEN DO ~StartStore("stoblack",LastTalkedToBy())
~ EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY #2844 /* ~You will suffer!  You will all suffer!~ [DPJON132] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #2845 /* ~Lesser Air Elemental~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #6393 /* ~As it happens, I know where we can find damning evidence of Mae'Var's betrayal of Renal Bloodscalp. That is your purpose here, isn't it? (Yes, I thought so.)~ */
  IF ~~ THEN EXIT
END
